version: '3'

services:
  mongo:
    image: mongo:latest
    ports:
      - "27017:27017"
    volumes:
      - mongo-vol:/data/db

  customer-service:
    image: registry.gitlab.com/castlecraft/management-tools/customer-service:edge
    # image: customer-service:edge
    ports:
      - "5800:5800"
    depends_on:
      - mongo
    links:
      - mongo
    environment:
      - DB_HOST=${DB_HOST}
      - DB_NAME=${DB_NAME}
      - DB_USER=${DB_USER}
      - DB_PASSWORD=${DB_PASSWORD}
      - NODE_ENV=${NODE_ENV}
    volumes:
      - customer-service-vol:/home/craft/customer-service/files

volumes:
  customer-service-vol:
  mongo-vol:
